import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { ToastController } from '@ionic/angular';

@Component({
  selector: 'app-request',
  templateUrl: './request.page.html',
  styleUrls: ['./request.page.scss'],
})
export class RequestPage implements OnInit {
  constructor(private toastController: ToastController,private router:Router) {}
  ngOnInit() {
  }

  public alertButtons = [
    {
      text: '取消',
      role: 'cancel',
      // handler: () => {
      //   console.log('Alert canceled');
      // },
    },
    {
      text: '确定',
      role: 'confirm',
      handler: () => {
        this.router.navigate(['/tabs/tab2']);
      },
    },
  ];


  async presentToast() {
    const toast = await this.toastController.create({
      message: '已超过最大字数限制',
      duration: 1000, // 显示时长为1秒
      position: 'middle', // 在页面中部显示
      cssClass: 'toast-center'
    });
    toast.present();
  }
  updateCharacterCount(event: any) {
    const maxLength = 50;
    let currentLength = event.target.value.length; 
  
    const characterCountElement = document.querySelector('.character-count');

    if (characterCountElement) {
      characterCountElement.textContent = currentLength;
    }

    if (currentLength > maxLength) {
      this.presentToast();
      const trimmedValue = event.target.value.substring(0, maxLength);
      event.target.value = trimmedValue;
      currentLength = maxLength;
    }
  }
}